=== third-party/fastlz/CMakeLists.txt ===
add_library(fastlz STATIC fastlz.c)
