=== debian/changelog ===
hhvm (3.11.1+dfsg-1ubuntu1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.
  * d/p/libmysqlclient_r: build against libmysqlclient, not _r (LP:
    #1564871).
  * d/p/isnan: use std:: for isnan and isinf to fix FTBFS.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 18 Apr 2016 13:54:43 +0000

hhvm (3.11.1+dfsg-1) unstable; urgency=medium

  * New minor upstream release.
  * Build-depend on libpng-dev instead of libpng12-dev for the upcoming libpng
    transition. (Closes: #809873)
  * More reproducible fixes:
    - Create Hack's HHI tarball in a reproducible way.
    - Statically set HHVM_REPO_SCHEMA from debian/rules.
    - Pass LC_ALL=C to sort as called by proxygen's header generation script.
  * Add patch output-buffer-fix-flush, copied straight from upstream's GitHub,
    to large output streaming.
  * Update Vcs-Git and Vcs-Browser URLs for HTTPS and cgit.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 03 Feb 2016 20:21:13 +0200
