## hhvm 3.12.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 # package information
 SET(PACKAGE_NAME      "hhvm")
-SET(PACKAGE_VERSION   "3.11.1")
+SET(PACKAGE_VERSION   "3.12.1")
 SET(PACKAGE_STRING    "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 SET(PACKAGE_TARNAME   "${PACKAGE_NAME}-${PACKAGE_VERSION}")
 SET(PACKAGE_BUGREPORT "https://github.com/facebook/hhvm/issues")
@@ -57,6 +57,8 @@
 SET(TP_DIR "${CMAKE_CURRENT_SOURCE_DIR}/third-party")
 SET(TP_BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}/third-party")
 
+include(MSVCDefaults)
+
 ADD_SUBDIRECTORY(third-party)
 ADD_SUBDIRECTORY(hphp)
