=== hphp/util/CMakeLists.txt ===
--- 
+++ 
@@ -7,14 +7,32 @@
 list(APPEND ASM_SOURCES ${files})
 
 set(HEADER_SOURCES)
-auto_sources(files "*.h" "RECURSE")
+auto_sources(files "*.h" "RECURSE" "${CMAKE_CURRENT_SOURCE_DIR}")
 list(APPEND HEADER_SOURCES ${files})
-HHVM_PUBLIC_HEADERS(util ${files})
 
 # Disable Channeled JSON until we're sure it's going to stick
 # sgolemon(2014-02-19)
 HHVM_REMOVE_MATCHES_FROM_LISTS(ASM_SOURCES CXX_SOURCES HEADER_SOURCES
   MATCHES "/test/" "channeled-json-")
+
+if (NOT MSVC)
+  list(REMOVE_ITEM CXX_SOURCES
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/fnmatch.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/glob.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/rand_r.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/strfmon.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/strptime.cpp
+  )
+  list(REMOVE_ITEM HEADER_SOURCES
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/fnmatch.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/glob.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/rand_r.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/strfmon.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/portability/strptime.h
+  )
+endif()
+
+HHVM_PUBLIC_HEADERS(util ${HEADER_SOURCES})
 
 add_custom_command(
   OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/../hphp-repo-schema.h"
@@ -25,16 +43,11 @@
   COMMENT "Generating Repo Schema ID and Compiler ID"
   VERBATIM)
 
-## Disabling numa support (for now) since distro
-## libnuma packages don't always have numa_init available
-## Find a better way to make sure numa initialization
-## happens on time. -sgolemon (2013-10-16)
-
-#find_package(LibNuma)
-#if (LIBNUMA_INCLUDE_DIRS)
-#  add_definitions("-DHAVE_NUMA=1")
-#  include_directories(${LIBNUMA_INCLUDE_DIRS})
-#endif()
+find_package(LibNuma)
+if (LIBNUMA_INCLUDE_DIRS)
+  add_definitions("-DHAVE_NUMA=1")
+  include_directories(${LIBNUMA_INCLUDE_DIRS})
+endif()
 
 if(MSVC)
   list(REMOVE_ITEM CXX_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/afdt-util.cpp")
@@ -52,9 +65,9 @@
   cotire(hphp_util)
 endif()
 
-#if (LIBNUMA_LIBRARIES)
-#  target_link_libraries(hphp_util ${LIBNUMA_LIBRARIES})
-#endif()
+if (LIBNUMA_LIBRARIES AND JEMALLOC_ENABLED)
+  target_link_libraries(hphp_util ${LIBNUMA_LIBRARIES})
+endif()
 if (ENABLE_ASYNC_MYSQL)
   add_dependencies(hphp_util webscalesqlclient)
 endif ()
